import io.gitlab.jfronny.scripts.*

plugins {
    id("commons.library")
    id("jf.manifold")
}

dependencies {
    implementation(project(":"))
}

publishing {
    publications {
        create<MavenPublication>("maven") {
            groupId = "io.gitlab.jfronny"
            artifactId = "commons-manifold"

            from(components["java"])
        }
    }
}

tasks.jar {
    manifest {
        attributes(mapOf("Contains-Sources" to "java,class"))
    }
}

tasks.javadoc {
    linksOffline("https://pages.frohnmeyer-wds.de/Johannes/java-commons/javadoc/commons", project(":"))
}
