import io.gitlab.jfronny.scripts.*

plugins {
    id("commons.library")
}

dependencies {
    api("io.gitlab.jfronny:gson:2.10.2-SNAPSHOT")
    implementation(project(":"))

    testImplementation("org.junit.jupiter:junit-jupiter-api:5.9.0")
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:5.9.0")
}

publishing {
    publications {
        create<MavenPublication>("maven") {
            groupId = "io.gitlab.jfronny"
            artifactId = "commons-gson"

            from(components["java"])
        }
    }
}

tasks.javadoc {
    linksOffline("https://pages.frohnmeyer-wds.de/Johannes/java-commons/javadoc/commons", project(":"))
    //TODO link gson javadoc (harder to generate than expected)
}
