package io.gitlab.jfronny.commons.test;

import io.gitlab.jfronny.commons.log.HotSwappingDelegateLogger;
import io.gitlab.jfronny.commons.log.slf4j.SLF4JLogger;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class SLFLogStrategyTest {
    @BeforeEach
    void prepare() {
        HotSwappingDelegateLogger.updateStrategy(SLF4JLogger::new);
    }

    @Test
    void testFactory() {
        assertEquals(SLF4JLogger.class, HotSwappingDelegateLogger.forName("Joe").getDelegate().getClass());
    }
}
