package io.gitlab.jfronny.muscript.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

/**
 * Annotation for expressions that may throw exceptions
 * Any expression that doesn't have this annotation will only throw if an expression referenced from it throws
 */
@Target(ElementType.TYPE)
public @interface CanThrow {
}
