package io.gitlab.jfronny.muscript.data.dynamic;

import java.util.Map;

public interface DObject extends Dynamic<Map<String, Dynamic<?>>> {
    default Dynamic<?> get(String key) {
        return getValue().get(key);
    }

    default boolean has(String key) {
        return getValue().containsKey(key);
    }
}
