package io.gitlab.jfronny.muscript.test;

import io.gitlab.jfronny.muscript.compiler.*;
import org.junit.jupiter.api.*;

import static org.junit.jupiter.api.Assertions.*;

class LocationalErrorTest {
    @Test
    void invalidCode() {
        assertEquals("""
                        Error at 't' (character 7): Expected Number but got Boolean
                             1 | 15 + true
                                      ^--^-- Here""",
                assertThrows(Parser.ParseException.class, () -> Parser.parse("15 + true")).error.toString());
        assertEquals("""
                        Error at ''' (character 7): Expected Number but got String
                             1 | 15 + 'yes'
                                      ^---^-- Here""",
                assertThrows(Parser.ParseException.class, () -> Parser.parse("15 + 'yes'")).error.toString());
    }
}
